com.jogamp.newt

## Enum Window.ReparentOperation

- java.lang.Object
- - java.lang.Enum<Window.ReparentOperation>
  - - com.jogamp.newt.Window.ReparentOperation

- All Implemented Interfaces:
    Serializable, Comparable<Window.ReparentOperation>
  Enclosing interface:
    Window

      public static enum Window.ReparentOperation
      extends Enum<Window.ReparentOperation>

  Reparenting operation types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_INVALID` No native reparenting valid
    `ACTION_NATIVE_CREATION` Native window creation after tree change - instead of reparenting.
    `ACTION_NATIVE_CREATION_PENDING` Change Window tree only, native creation is pending
    `ACTION_NATIVE_REPARENTING` Native reparenting incl.
    `ACTION_NOP` No native reparenting action required, no change

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Window.ReparentOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Window.ReparentOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTION_INVALID

          public static final Window.ReparentOperation ACTION_INVALID

      No native reparenting valid

    - #### ACTION_NOP

          public static final Window.ReparentOperation ACTION_NOP

      No native reparenting action required, no change

    - #### ACTION_NATIVE_REPARENTING

          public static final Window.ReparentOperation ACTION_NATIVE_REPARENTING

      Native reparenting incl. Window tree

    - #### ACTION_NATIVE_CREATION

          public static final Window.ReparentOperation ACTION_NATIVE_CREATION

      Native window creation after tree change - instead of reparenting.

    - #### ACTION_NATIVE_CREATION_PENDING

          public static final Window.ReparentOperation ACTION_NATIVE_CREATION_PENDING

      Change Window tree only, native creation is pending

  - ### Method Detail

    - #### values

          public static Window.ReparentOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Window.ReparentOperation c : Window.ReparentOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Window.ReparentOperation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.